%define upstream_name    Data-Transformer
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Traverse a data structure, altering it in place
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple)
BuildArch: noarch

%description
The basic idea of this class is that you provide a callback subroutine for each type of data that you wish to affect or collect information from.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-11.mga9
+ Revision: 1802842
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-10.mga8
+ Revision: 1493775
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-9.mga7
+ Revision: 1267016
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-8.mga6
+ Revision: 1024910
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.40.0-7.mga6
+ Revision: 930091
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 743192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 684246
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-4.mga4
+ Revision: 510636
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-3.mga3
+ Revision: 365496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 0.40.0-2.mga2
+ Revision: 175499
- improve description

* Sat Dec 03 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 175488
- imported package perl-Data-Transformer


* Sat Dec 03 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
